package cn.com.qmth.examcloud.core.oe.admin.base;

/**
 * 系统常量
 *
 * @author: QMTH
 * @since: 2018/8/17
 */
public interface Constants {

    /**
     * 系统错误
     */
    String OE_CODE_500 = "OE-000500";

    /**
     * 参数错误
     */
    String OE_CODE_400 = "OE-000400";

    /**
     * 权限错误
     */
    String OE_CODE_403 = "OE-000403";

    /**
     * 原始数据库表
     */
    String OE_EXAM_QUESTION = "oe_exam_question";

    /**
     * 新数据库表
     */
    String EXAM_RECORD_QUESTIONS = "examRecordQuestions";

    //缓存
    String CACHE_EXAM_STUDENT_PREFIX = "cache_examStudent_";

    String CACHE_PHONE_PREFIX = "cache_phone_";

    String CACHE_STUDENT_PREFIX = "cache_student_";

    String CACHE_ORG_PREFIX = "cache_org_";

    String CACHE_COURSE_PREFIX = "cache_course_";

    String isTrue = "true";

    String isFalse = "false";

    /**
     * 考试成绩通知路径前缀
     */
    String OE_EXAM_SCORE_NOTIFY_URL_PREFIX = "oe.examScoreNotify.url.";

    /**
     * 考试成绩通知路径传输方法前缀
     */
    String OE_EXAM_SCORE_NOTIFY_URL_HTTP_METHOD_PREFIX = "oe.examScoreNotify.url.httpMethod.";

    //face++ 人脸比对相关错误详情

    /**
     * face++ 人脸比对API并发次数超过上限
     */
    String FACE_COMPARE_CONCURRENCY_LIMIT_EXCEEDED = "CONCURRENCY_LIMIT_EXCEEDED";

    /**
     * face++ api_key没有调用本API的权限，具体原因为：用户自己禁止该api_key调用、管理员禁止该api_key调用、由于账户余额不足禁止调用。
     */
    String FACE_COMPARE_AUTHORIZATION_ERROR = "AUTHORIZATION_ERROR";

    /**
     * face++ 下载图片超时
     */
    String FACE_COMPARE_IMAGE_DOWNLOAD_TIMEOUT = "IMAGE_DOWNLOAD_TIMEOUT";


    //百度活检错误码 http://ai.baidu.com/docs#/Face-Java-SDK/514d7ea4
    String BAIDU_ERROR_CODE = "error_code";

    String BAIDU_ERROR_MSG = "error_msg";

    String BAIDU_SUCCESS_ERROR_CODE_VALUE = "0";

    /**
     * 连接超时或读取数据超时
     */
    String BAIDU_FACELIVENESS_CONNECTION_OR_READ_DATA_TIME_OUT_CODE = "SDK108";

    /**
     * 百度在线活体检测QPS超过上限的错误码
     */
    String BAIDU_FACELIVENESS_QPS_LIMIT_EXCEEDED_CODE = "18";


    /**
     * 抓拍照片又拍云签名前缀
     */
    String EXAM_CAPTURE_PHOTO_UPYUN_SIGN_PREFIX = "OE_EXAM_CAPTURE_PHOTO_UPYUN_SIGN_";

    /**
     * 处理照片高优先级
     */
    int PROCESS_CAPTURE_HIGH_PRIORITY = 1;

    /**
     * 照片处理中状态码
     */
    String CAPTURE_PROCESSING_STATUS_CODE = "101222";

    /**
     * 考试未结束状态码
     */
    String EXAM_RECORD_NOT_END_STATUS_CODE = "101333";

    /**
     * 交卷处理中
     */
    String PROCESSING_EXAM_RECORD_CODE = "S-101000";

    /**
     * 通用成功编码
     */
    String COMMON_SUCCESS_CODE = "000000";

    /**
     * 同步人脸比对结果前缀
     */
    String FACE_SYNC_COMPARE_RESULT_PREFIX = "FACE_SYNC_COMPARE_RESULT_";

    /**
     * 活体检测方案key
     */
    String IDENTIFICATION_OF_LIVING_BODY_SCHEME_KEY = "IDENTIFICATION_OF_LIVING_BODY_SCHEME";

    /**
     * 答案文件最大限制，单位:M
     */
    long ANSWER_FILE_MAX_SIZE = 30;

    /**
     * 1024 * 1024
     */
    long M_SIZE = 1048576;

}
